//
//  $Id: AddressAppInfo.h,v 1.1 2000/06/10 00:19:57 sergey Exp $
//

#ifndef _AddressAppInfo_h_
#define _AddressAppInfo_h_

#include "AppInfo.h"


namespace DB
{
    //
    // Adresse AppInfo class.
    //
    // Pilot-link package used as a source of internal
    // details about address DB.
    //
    class AddressAppInfo: public AppInfo
    {
    public:
        AddressAppInfo();
        virtual ~AddressAppInfo();

        //AddressAppInfo(const AddressAppInfo& other);
        //AddressAppInfo& operator =(const AddressAppInfo& other);

    // operations
    public:
        virtual bool restore(const void* buffer);

    // attributes

        // Amount of phone labels
        static const int PHONE_LABEL_COUNT  = 8;

        // Returns label text by the index
        const char* phoneLabel(int index) const;

    // implementation
    private:
        void clearData();

    // data members
    private:
        static const int LABEL_SIZE = 16;

        char _phoneLabels[PHONE_LABEL_COUNT][LABEL_SIZE];
    };
}
// namespace DB

#endif // _AddressAppInfo_h_
